searchbase 2.2.4 icon indicating copy to clipboard operation
searchbase: ^2.2.4 copied to clipboard

SearchBase is a library to build the search UIs with Elasticsearch.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add searchbase

With Flutter:

 $ flutter pub add searchbase

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  searchbase: ^2.2.4

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:searchbase/searchbase.dart';
2
likes
120
pub points
69%
popularity

Publisher

shield icon for verified publishersappbase.io

SearchBase is a library to build the search UIs with Elasticsearch.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache-2.0 (LICENSE)

Dependencies

collection, http

More

Packages that depend on searchbase